> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-06-24-docs-simplify-date-zoom-usage-description.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get resource type

> Get individual SCIM resource type



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/scim/v2/ResourceTypes/{resourceTypeId}
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3228.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/scim/v2/ResourceTypes/{resourceTypeId}:
    get:
      tags:
        - SCIM
      summary: Get resource type
      description: Get individual SCIM resource type
      operationId: GetScimResourceType
      parameters:
        - description: resource type identifier
          in: path
          name: resourceTypeId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimResourceType'
              examples:
                Example 1:
                  value:
                    schemas:
                      - urn:ietf:params:scim:schemas:core:2.0:ResourceType
                    id: User
                    name: User
                    description: User Account
                    endpoint: /Users
                    schema: urn:ietf:params:scim:schemas:core:2.0:User
                    schemaExtensions:
                      - schema: urn:lightdash:params:scim:schemas:extension:2.0:User
                        required: false
                    meta:
                      resourceType: ResourceType
                      location: >-
                        https://<tenant>.lightdash.cloud/api/v1/scim/v2/ResourceTypes/User
      security: []
components:
  schemas:
    ScimResourceType:
      properties:
        schemas:
          items:
            $ref: '#/components/schemas/ScimSchemaType.RESOURCE_TYPE'
          type: array
        id:
          type: string
        meta:
          properties:
            version:
              type: string
            location:
              type: string
            lastModified:
              type: string
              format: date-time
            created:
              type: string
              format: date-time
            resourceType:
              type: string
          type: object
        name:
          type: string
        description:
          type: string
        endpoint:
          type: string
        schema:
          type: string
        schemaExtensions:
          items:
            properties:
              required:
                type: boolean
              schema:
                type: string
            required:
              - required
              - schema
            type: object
          type: array
      required:
        - schemas
        - id
        - name
        - endpoint
        - schema
      type: object
      additionalProperties: true
    ScimSchemaType.RESOURCE_TYPE:
      enum:
        - urn:ietf:params:scim:schemas:core:2.0:ResourceType
      type: string

````